<?php
/**
 * washing-center: Customizer
 *
 * @subpackage washing-center
 * @since 1.0
 */

function washing_center_customize_register( $wp_customize ) {

	$wp_customize->add_setting('washing_center_logo_size',array(
		'sanitize_callback'	=> 'washing_center_sanitize_float'
	));
	$wp_customize->add_control('washing_center_logo_size',array(
		'label' => __('Logo Size','washing-center'),
		'type'	=> 'range',
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('washing_center_logo_padding',array(
		'sanitize_callback'	=> 'esc_html'
	));
	$wp_customize->add_control('washing_center_logo_padding',array(
		'label' => __('Logo Padding','washing-center'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('washing_center_logo_top_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'washing_center_sanitize_float'
	));
	$wp_customize->add_control('washing_center_logo_top_padding',array(
		'type' => 'number',
		'description' => __('Top','washing-center'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('washing_center_logo_bottom_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'washing_center_sanitize_float'
	));
	$wp_customize->add_control('washing_center_logo_bottom_padding',array(
		'type' => 'number',
		'description' => __('Bottom','washing-center'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('washing_center_logo_left_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'washing_center_sanitize_float'
	));
	$wp_customize->add_control('washing_center_logo_left_padding',array(
		'type' => 'number',
		'description' => __('Left','washing-center'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('washing_center_logo_right_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'washing_center_sanitize_float'
	));
	$wp_customize->add_control('washing_center_logo_right_padding',array(
		'type' => 'number',
		'description' => __('Right','washing-center'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting('washing_center_show_site_title',array(
		'default' => true,
		'sanitize_callback'	=> 'washing_center_sanitize_checkbox'
	));
	$wp_customize->add_control('washing_center_show_site_title',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Site Title','washing-center'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('washing_center_site_title_font_size',array(
		'default' => '',
		'sanitize_callback'	=> 'washing_center_sanitize_float'
	));
	$wp_customize->add_control('washing_center_site_title_font_size',array(
		'type' => 'number',
		'label' => __('Site Title Font Size','washing-center'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting( 'washing_center_site_title_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
   ));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'washing_center_site_title_color', array(
		'label' => 'Title Color',
		'section' => 'title_tagline',
	)));

	$wp_customize->add_setting('washing_center_show_tagline',array(
		'default' => true,
		'sanitize_callback'	=> 'washing_center_sanitize_checkbox'
	));
	$wp_customize->add_control('washing_center_show_tagline',array(
		'type' => 'checkbox',
		'label' => __('Show / Hide Site Tagline','washing-center'),
		'section' => 'title_tagline'
	));

	$wp_customize->add_setting('washing_center_site_tagline_font_size',array(
		'default' => '',
		'sanitize_callback' => 'washing_center_sanitize_float'
	));
	$wp_customize->add_control('washing_center_site_tagline_font_size',array(
		'type' => 'number',
		'label' => __('Site Tagline Font Size','washing-center'),
		'section' => 'title_tagline',
	));

	$wp_customize->add_setting( 'washing_center_site_text_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
    ));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'washing_center_site_text_color', array(
		'label' => 'Text Color',
		'section' => 'title_tagline',
	)));

	$wp_customize->add_panel( 'washing_center_panel_id', array(
		'priority' => 10,
		'capability' => 'edit_theme_options',
		'theme_supports' => '',
		'title' => __( 'Theme Settings', 'washing-center' ),
		'description' => __( 'Description of what this panel does.', 'washing-center' ),
	) );

	$wp_customize->add_section( 'washing_center_theme_options_section', array(
    	'title'      => __( 'General Settings', 'washing-center' ),
		'priority'   => 30,
		'panel' => 'washing_center_panel_id'
	) );

	// Add Settings and Controls for Layout
	$wp_customize->add_setting('washing_center_theme_options',array(
		'default' => 'Right Sidebar',
		'sanitize_callback' => 'washing_center_sanitize_choices'	        
	));
	$wp_customize->add_control('washing_center_theme_options',array(
		'type' => 'radio',
		'label' => __('Do you want this section','washing-center'),
		'section' => 'washing_center_theme_options_section',
		'choices' => array(
		   'Left Sidebar' => __('Left Sidebar','washing-center'),
		   'Right Sidebar' => __('Right Sidebar','washing-center'),
		   'One Column' => __('One Column','washing-center'),
		   'Three Columns' => __('Three Columns','washing-center'),
		   'Four Columns' => __('Four Columns','washing-center'),
		   'Grid Layout' => __('Grid Layout','washing-center')
		),
	));

	$wp_customize->add_setting( 'washing_center_boxfull_width', array(
		'default'           => '',
		'sanitize_callback' => 'washing_center_sanitize_choices'
	));
	
	$wp_customize->add_control( 'washing_center_boxfull_width', array(
		'label'    => __( 'Section Width', 'washing-center' ),
		'section'  => 'washing_center_theme_options_section',
		'type'     => 'select',
		'choices'  => array(
			'container'  => __('Box Width', 'washing-center'),
			'container-fluid' => __('Full Width', 'washing-center'),
			'none' => __('None', 'washing-center')
		),
	));

	$wp_customize->add_setting( 'washing_center_dropdown_anim', array(
		'default'           => 'None',
		'sanitize_callback' => 'washing_center_sanitize_choices'
	));
	$wp_customize->add_control( 'washing_center_dropdown_anim', array(
		'label'    => __( 'Menu Dropdown Animations', 'washing-center' ),
		'section'  => 'washing_center_theme_options_section',
		'type'     => 'select',
		'choices'  => array(
			'bounceInUp'  => __('bounceInUp', 'washing-center'),
			'fadeInUp' => __('fadeInUp', 'washing-center'),
			'zoomIn'    => __('zoomIn', 'washing-center'),
			'None'    => __('None', 'washing-center')
		),
	));

	// Top Bar
	$wp_customize->add_section( 'washing_center_top_bar', array(
    	'title'      => __( 'Top Bar', 'washing-center' ),
		'priority'   => null,
		'panel' => 'washing_center_panel_id'
	) );

	$wp_customize->add_setting('washing_center_email_address',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_email'
	));	
	$wp_customize->add_control('washing_center_email_address',array(
		'label'	=> __('Add Email Address','washing-center'),
		'section'=> 'washing_center_top_bar',
		'setting'=> 'washing_center_email_address',
		'type'=> 'text'
	));

	$wp_customize->add_setting('washing_center_phone_number',array(
		'default'=> '',
		'sanitize_callback'	=> 'washing_center_sanitize_phone_number'
	));	
	$wp_customize->add_control('washing_center_phone_number',array(
		'label'	=> __('Add Phone Number','washing-center'),
		'section'=> 'washing_center_top_bar',
		'setting'=> 'washing_center_phone_number',
		'type'=> 'text'
	));

	$wp_customize->add_setting( 'washing_center_topbaricon_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
   ));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'washing_center_topbaricon_color', array(
		'label' => 'Icon Color',
		'section' => 'washing_center_top_bar',
	)));

	$wp_customize->add_setting( 'washing_center_topbartext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
 	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'washing_center_topbartext_color', array(
		'label' => 'Text Color',
		'section' => 'washing_center_top_bar',
	)));

	$wp_customize->add_setting( 'washing_center_topbarbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
 	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'washing_center_topbarbg_color', array(
		'label' => 'Background Color',
		'section' => 'washing_center_top_bar',
	)));

	//social icons
	$wp_customize->add_section( 'washing_center_social', array(
    	'title'      => __( 'Social Icons', 'washing-center' ),
		'priority'   => null,
		'panel' => 'washing_center_panel_id'
	) );

	$wp_customize->add_setting('washing_center_facebook_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('washing_center_facebook_url',array(
		'label'	=> __('Add Facebook link','washing-center'),
		'section'	=> 'washing_center_social',
		'setting'	=> 'washing_center_facebook_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('washing_center_twitter_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('washing_center_twitter_url',array(
		'label'	=> __('Add Twitter link','washing-center'),
		'section'	=> 'washing_center_social',
		'setting'	=> 'washing_center_twitter_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('washing_center_insta_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('washing_center_insta_url',array(
		'label'	=> __('Add Instagram link','washing-center'),
		'section'	=> 'washing_center_social',
		'setting'	=> 'washing_center_insta_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('washing_center_linkedin_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('washing_center_linkedin_url',array(
		'label'	=> __('Add Linkedin link','washing-center'),
		'section'	=> 'washing_center_social',
		'setting'	=> 'washing_center_linkedin_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('washing_center_pinterest_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('washing_center_pinterest_url',array(
		'label'	=> __('Add Pintrest link','washing-center'),
		'section'	=> 'washing_center_social',
		'setting'	=> 'washing_center_pinterest_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting( 'washing_center_topbarsocial_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
   ));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'washing_center_topbarsocial_color', array(
		'label' => 'Social Color',
		'section' => 'washing_center_social',
	)));

	//home page slider
	$wp_customize->add_section( 'washing_center_slider_section' , array(
    	'title'      => __( 'Slider Settings', 'washing-center' ),
		'priority'   => null,
		'panel' => 'washing_center_panel_id'
	) );

	$wp_customize->add_setting('washing_center_slider_hide_show',array(
    	'default' => false,
    	'sanitize_callback'	=> 'washing_center_sanitize_checkbox'
	));
	$wp_customize->add_control('washing_center_slider_hide_show',array(
	   	'type' => 'checkbox',
	   	'label' => __('Show / Hide slider','washing-center'),
	   	'description' => __('Image Size ( 1400px x 660px )','washing-center'),
	   	'section' => 'washing_center_slider_section',
	));

	for ( $count = 1; $count <= 4; $count++ ) {
		$wp_customize->add_setting( 'washing_center_slider' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'washing_center_sanitize_dropdown_pages'
		) );
		$wp_customize->add_control( 'washing_center_slider' . $count, array(
			'label'    => __( 'Select Slide Image Page', 'washing-center' ),
			'section'  => 'washing_center_slider_section',
			'type'     => 'dropdown-pages'
		) );
	}

	$wp_customize->add_setting('washing_center_slider_excerpt_length',array(
		'default' => '20',
		'sanitize_callback'	=> 'washing_center_sanitize_float'
	));
	$wp_customize->add_control('washing_center_slider_excerpt_length',array(
		'type' => 'number',
		'label' => __('Slider Excerpt Length','washing-center'),
		'section' => 'washing_center_slider_section',
	));

	$wp_customize->add_setting('washing_center_slider_font_size',array(
		'default' => '',
		'sanitize_callback'	=> 'washing_center_sanitize_float'
	));
	$wp_customize->add_control('washing_center_slider_font_size',array(
		'type' => 'number',
		'label' => __('Title Font Size','washing-center'),
		'section' => 'washing_center_slider_section',
	));

	$wp_customize->add_setting('washing_center_slider_text_font_size',array(
		'default' => '',
		'sanitize_callback'	=> 'washing_center_sanitize_float'
	));
	$wp_customize->add_control('washing_center_slider_text_font_size',array(
		'type' => 'number',
		'label' => __('Text Font Size','washing-center'),
		'section' => 'washing_center_slider_section',
	));

	$wp_customize->add_setting( 'washing_center_slider_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'washing_center_slider_color', array(
		'label' => 'Title Color',
		'section' => 'washing_center_slider_section',
	)));

	$wp_customize->add_setting( 'washing_center_slidertext_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'washing_center_slidertext_color', array(
		'label' => 'Text Color',
		'section' => 'washing_center_slider_section',
	)));

	$wp_customize->add_setting( 'washing_center_sliderbtn_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'washing_center_sliderbtn_color', array(
		'label' => 'Button Text Color',
		'section' => 'washing_center_slider_section',
	)));

	$wp_customize->add_setting( 'washing_center_sliderbtnbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'washing_center_sliderbtnbg_color', array(
		'label' => 'Button Bg Color',
		'section' => 'washing_center_slider_section',
	)));

	// Our Services 
	$wp_customize->add_section('washing_center_arrange_section',array(
		'title'	=> __('Our Services','washing-center'),
		'description'=> __('<b>Note :</b> This section will appear below the slider.','washing-center'),
		'panel' => 'washing_center_panel_id',
	));
	
	$wp_customize->add_setting('washing_center_section_title',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('washing_center_section_title',array(
		'label'	=> __('Section Title','washing-center'),
		'section'	=> 'washing_center_arrange_section',
		'setting'	=> 'washing_center_section_title',
		'type'		=> 'text'
	));

	$categories = get_categories();
	$cats = array();
	$i = 0;
	$cat_pst[]= 'select';
	foreach($categories as $category){
		if($i==0){
			$default = $category->slug;
			$i++;
		}
		$cat_pst[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('washing_center_arrange_cat',array(
		'default'	=> 'select',
		'sanitize_callback' => 'sanitize_text_field',
	));
	$wp_customize->add_control('washing_center_arrange_cat',array(
		'type'    => 'select',
		'choices' => $cat_pst,
		'label' => __('Select Category To Display Post','washing-center'),
		'section' => 'washing_center_arrange_section',
	));

	$wp_customize->add_setting('washing_center_service_img_size',array(
		'default' => '',
		'sanitize_callback'	=> 'washing_center_sanitize_float'
	));
	$wp_customize->add_control('washing_center_service_img_size',array(
		'type' => 'number',
		'label' => __('Image Size','washing-center'),
		'section' => 'washing_center_arrange_section',
	));

	$wp_customize->add_setting('washing_center_service_section_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'washing_center_sanitize_float'
	));
	$wp_customize->add_control('washing_center_service_section_padding',array(
		'type' => 'number',
		'label' => __('Section Top Bottom Padding','washing-center'),
		'section' => 'washing_center_arrange_section',
	));

	$wp_customize->add_setting( 'washing_center_section_title_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'washing_center_section_title_color', array(
		'label' => 'Section Title Color',
		'section' => 'washing_center_arrange_section',
	)));

	$wp_customize->add_setting( 'washing_center_service_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'washing_center_service_color', array(
		'label' => 'Title Color',
		'section' => 'washing_center_arrange_section',
	)));

	$wp_customize->add_setting( 'washing_center_service_text_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'washing_center_service_text_color', array(
		'label' => 'Text Color',
		'section' => 'washing_center_arrange_section',
	)));

	$wp_customize->add_setting( 'washing_center_service_btn_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'washing_center_service_btn_color', array(
		'label' => 'Button Text Color',
		'section' => 'washing_center_arrange_section',
	)));

	$wp_customize->add_setting( 'washing_center_service_btnbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'washing_center_service_btnbg_color', array(
		'label' => 'Button Bg Color',
		'section' => 'washing_center_arrange_section',
	)));

	//Footer
 	$wp_customize->add_section( 'washing_center_footer', array(
    	'title'      => __( 'Footer Settings', 'washing-center' ),
		'priority'   => null,
		'panel' => 'washing_center_panel_id'
	) );

	$wp_customize->add_setting('washing_center_show_back_totop',array(
 		'default' => true,
   	'sanitize_callback'	=> 'washing_center_sanitize_checkbox'
	));
	$wp_customize->add_control('washing_center_show_back_totop',array(
   	'type' => 'checkbox',
   	'label' => __('Show / Hide Back to Top','washing-center'),
   	'section' => 'washing_center_footer'
	));

 	$wp_customize->add_setting('washing_center_footer_link',array(
		'default'	=> 'https://www.luzuk.com/products/free-car-wash-wordpress-theme/',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('washing_center_footer_link',array(
		'label'	=> __('Copyright Link','washing-center'),
		'section'	=> 'washing_center_footer',
		'setting'	=> 'washing_center_footer_link',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('washing_center_footer_copy',array(
		'default'	=> 'Washing Center WordPress Theme By Luzuk',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('washing_center_footer_copy',array(
		'label'	=> __('Copyright Text','washing-center'),
		'section'	=> 'washing_center_footer',
		'setting'	=> 'washing_center_footer_copy',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('washing_center_copyright_padding',array(
		'default' => '',
		'sanitize_callback'	=> 'washing_center_sanitize_float'
 	));
 	$wp_customize->add_control('washing_center_copyright_padding',array(
		'type' => 'number',
		'label' => __('Copyright Top Bottom Padding','washing-center'),
		'section' => 'washing_center_footer',
	));

	$wp_customize->add_setting( 'washing_center_copyright_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
  	 ));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'washing_center_copyright_color', array(
		'label' => 'Copyright Text Color',
		'section' => 'washing_center_footer',
	)));

	$wp_customize->add_setting( 'washing_center_copyrightbg_color', array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color'
  	 ));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'washing_center_copyrightbg_color', array(
		'label' => 'Copyright Bg Color',
		'section' => 'washing_center_footer',
	)));

	$wp_customize->get_setting( 'blogname' )->transport          = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport   = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport  = 'postMessage';

	$wp_customize->selective_refresh->add_partial( 'blogname', array(
		'selector' => '.site-title a',
		'render_callback' => 'washing_center_customize_partial_blogname',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
		'selector' => '.site-description',
		'render_callback' => 'washing_center_customize_partial_blogdescription',
	) );
}
add_action( 'customize_register', 'washing_center_customize_register' );

function washing_center_customize_partial_blogname() {
	bloginfo( 'name' );
}

function washing_center_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

function washing_center_is_static_front_page() {
	return ( is_front_page() && ! is_home() );
}

function washing_center_is_view_with_layout_option() {
	// This option is available on all pages. It's also available on archives when there isn't a sidebar.
	return ( is_page() || ( is_archive() && ! is_active_sidebar( 'sidebar-1' ) ) );
}

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Washing_Center_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $manager
	 * @return void
	 */
	public function sections( $manager ) {

		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/inc/section-pro.php' );

		// Register custom section types.
		$manager->register_section_type( 'Washing_Center_Customize_Section_Pro' );

		// Register sections.
		$manager->add_section(
			new Washing_Center_Customize_Section_Pro(
				$manager,
				'washing_center_example_1',
				array(
					'priority' => 9,
					'title'    => esc_html__( 'Washing Center Pro ', 'washing-center' ),
					'pro_text' => esc_html__( 'Go Pro','washing-center' ),
					'pro_url'  => esc_url( 'https://www.luzuk.com/products/car-wash-wordpress-theme/' ),
				)
			)
		);
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'washing-center-customize-controls', trailingslashit( esc_url(get_template_directory_uri()) ) . '/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'washing-center-customize-controls', trailingslashit( esc_url(get_template_directory_uri()) ) . '/assets/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Washing_Center_Customize::get_instance();